beehive-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Richard Feit <richard.f...@bea.com>
Subject Re: Run failed with source build - incompatible xbean.jar, StrutsConfig?
Date Tue, 01 Feb 2005 22:19:26 GMT
Hi Sunny,

Is it possible that you have an older version of apache-xbean.jar on 
your shell classpath?  If so, try removing that.  Let me know if this 
doesn't fix the problem.

Rich

Sunny Yee wrote:

>I built Beehive from the source download, but when I
>run the buildWebapp.xml script on a test appl, I get
>errors from apt, and don't know where I should look.
>
>I also downloaded the binary version of Beehive, and I
>was able to run the script successfully against the
>test appl.  (On the side, I noticed that the source in
>svn and the alpha binary package are so different.)
>
>>>From clues in the stack trace, I checked
>apache-xbean.jar, and noticed that there is a
>different version in the source and in the binary
>versions; I tried both versions, and I still get the
>exception.
>
>I don't understand all the files that are in
>beehive-netui-compiler.jar, like the .xsb files, and
>wondered if there is a problem there, and the maybe
>the struts-config.xml xsd files that are inputs to
>create the .xsb files are the problem.
>
>Thanks for any help.
>
>Stack trace:
>
>      [apt] java.lang.ExceptionInInitializerError
>      [apt]     at
>org.apache.beehive.netui.compiler.model.schema.struts11.StrutsConfigDocument.<clinit>(Unknown
>Source)
>      [apt]     at
>org.apache.beehive.netui.compiler.grammar.ControllerGrammar.<init>(ControllerGrammar.java:42)
>      [apt]     at
>org.apache.beehive.netui.compiler.SharedFlowChecker.getControllerGrammar(SharedFlowChecker.java:90)
>      [apt]     at
>org.apache.beehive.netui.compiler.FlowControllerChecker.onCheck(FlowControllerChecker.java:75)
>      [apt]     at
>org.apache.beehive.netui.compiler.BaseChecker.check(BaseChecker.java:46)
>      [apt]     at
>org.apache.beehive.netui.compiler.BaseChecker.check(BaseChecker.java:68)
>      [apt]     at
>org.apache.beehive.netui.compiler.apt.BaseAnnotationProcessor$ListClassVisitor.visitTypeDeclaration(BaseAnnotationProcessor.java:62)
>      [apt]     at
>com.sun.mirror.util.SimpleDeclarationVisitor.visitClassDeclaration(SimpleDeclarationVisitor.java:80)
>      [apt]     at
>com.sun.tools.apt.mirror.declaration.ClassDeclarationImpl.accept(ClassDeclarationImpl.java:95)
>      [apt]     at
>org.apache.beehive.netui.compiler.apt.BaseAnnotationProcessor.process(BaseAnnotationProcessor.java:46)
>      [apt]     at
>com.sun.mirror.apt.AnnotationProcessors$CompositeAnnotationProcessor.process(AnnotationProcessors.java:60)
>      [apt]     at
>com.sun.tools.apt.comp.Apt.main(Apt.java:404)
>      [apt]     at
>com.sun.tools.apt.main.JavaCompiler.compile(JavaCompiler.java:440)
>      [apt]     at
>com.sun.tools.apt.main.Main.compile(Main.java:1017)
>      [apt]     at
>com.sun.tools.apt.main.Main.compile(Main.java:907)
>      [apt]     at
>com.sun.tools.apt.Main.compile(Main.java:41)
>      [apt]     at
>com.sun.tools.apt.Main.main(Main.java:32)
>      [apt] Caused by: java.lang.RuntimeException:
>Could not instantiate SchemaTypeSystemImpl
>(java.lang.reflect.InvocationTargetException): is the
>version of xbean.jar correct?
>      [apt]     at
>schema.system.s556331950BF481486390CF6C09C73EFD.TypeSystemHolder.loadTypeSystem(Unknown
>Source)
>      [apt]     at
>schema.system.s556331950BF481486390CF6C09C73EFD.TypeSystemHolder.<clinit>(Unknown
>Source)
>      [apt]     ... 17 more
>      [apt] Caused by:
>java.lang.reflect.InvocationTargetException
>      [apt]     at
>sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native
>Method)
>     [apt]     at
>sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:39)
>      [apt]     at
>sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:27)
>      [apt]     at
>java.lang.reflect.Constructor.newInstance(Constructor.java:494)
>      [apt]     ... 19 more
>      [apt] Caused by:
>org.apache.xmlbeans.SchemaTypeLoaderException:
>ML-BEANS
>compiled schema: Incompatible minor version -
>expecting up to 19, got 20 (schema
>.system.s556331950BF481486390CF6C09C73EFD.index) -
>code 3
>      [apt]     at
>org.apache.xmlbeans.impl.schema.SchemaTypeSystemImpl$XsbReader.<init>(SchemaTypeSystemImpl.java:1334)
>      [apt]     at
>org.apache.xmlbeans.impl.schema.SchemaTypeSystemImpl.initFromHeader(SchemaTypeSystemImpl.java:275)
>      [apt]     at
>org.apache.xmlbeans.impl.schema.SchemaTypeSystemImpl.<init>(SchemaTypeSystemImpl.java:154)
>      [apt]     ... 23 more
>     [echo] Copy all .properties files
>     [echo] Copy all .xml files
>
>  
>

Mime
View raw message